[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / FormArrayAddItemButtonDirective

# Class: FormArrayAddItemButtonDirective

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:23](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts#L23)

## Implements

- `AfterViewInit`
- `OnDestroy`

## Constructors

### new FormArrayAddItemButtonDirective()

> **new FormArrayAddItemButtonDirective**(`parent`, `matButton`): [`FormArrayAddItemButtonDirective`](FormArrayAddItemButtonDirective.md)

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:30](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts#L30)

#### Parameters

##### parent

`ControlContainer`

##### matButton

`MatButton`

#### Returns

[`FormArrayAddItemButtonDirective`](FormArrayAddItemButtonDirective.md)

## Properties

### formArray

> `protected` **formArray**: `RxapFormArray`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:27](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts#L27)

***

### matButton

> `protected` `readonly` **matButton**: `MatButton`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:32](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts#L32)

***

### parent

> `protected` `readonly` **parent**: `ControlContainer`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:31](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts#L31)

***

### type

> **type**: `string` = `'button'`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:26](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts#L26)

## Accessors

### disabled

#### Get Signature

> **get** **disabled**(): `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:37](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts#L37)

##### Returns

`boolean`

***

### isDisabled

#### Get Signature

> **get** `protected` **isDisabled**(): `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:41](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts#L41)

##### Returns

`boolean`

## Methods

### ngAfterViewInit()

> **ngAfterViewInit**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:45](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts#L45)

A callback method that is invoked immediately after
Angular has completed initialization of a component's view.
It is invoked only once when the view is instantiated.

#### Returns

`void`

#### Implementation of

`AfterViewInit.ngAfterViewInit`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:56](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts#L56)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

***

### onClick()

> `protected` **onClick**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts:61](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-add-item-button.directive.ts#L61)

#### Returns

`void`
